import jsonPlugin from 'rollup-plugin-json';
import gitRev from 'git-rev';

// import { createFilter } from 'rollup-pluginutils';

// import gitRev from 'git-rev-sync';

var jsonTransformer = jsonPlugin().transform;

function version () {

	return {
		transform: function transform ( json, id ) {

			if (id.indexOf('node_modules') === -1 && id.match(/package.json$/) ) {
				return new Promise(function (resolve){
					gitRev.branch(function (branch){
						gitRev.short(function (short){
							var parsed = JSON.parse(json);
							parsed.version += '+' + branch + '.' + short;

							return resolve(jsonTransformer(JSON.stringify(parsed), id));
						});
					});
				});
			}
			return null;
		}
	};
}

export default version;
