
// import { createFilter } from 'rollup-pluginutils';

// import gitRev from 'git-rev-sync';

import jsonPlugin from 'rollup-plugin-json';
import gitRev from 'git-rev';

const jsonTransformer = jsonPlugin().transform;

export default function version () {

	return {
		transform ( json, id ) {

			if (id.indexOf('node_modules') === -1 && id.match(/package.json$/) ) {
				return new Promise(resolve=>{
					gitRev.branch(branch=>{
						gitRev.short(short=>{
							let parsed = JSON.parse(json);
							parsed.version += '+' + branch + '.' + short;

							return resolve(jsonTransformer(JSON.stringify(parsed), id));
						});
					});
				});
			}
			return null;
		}
	};
}





